<?php

require_once '../../../../classes/CreateDocx.inc';

$docx = new CreateDocxFromTemplate('catalog1Template.docx');
$docx->setDefaultFont('Century Gothic');
$docx->setBackgroundColor('fdf7e7');
$serie = new WordFragment($docx);
$serieText = array(
    array(
        'text' => 'LUX',
        'bold' => true,
    ),
    array(
        'text' => ' sofa series',
    ),
);
$serie->addText($serieText, array('fontSize' => 18, 'color' => 'BD9257'));

$date = new WordFragment($docx);
$dateOptions = array(
    'dateFormat' => 'yyyy',
    'color' => 'ffffff',
    'bold' => true,
    'font' => 'Century Gothic',
    'fontSize' => 72,
);
$date->addDateAndHour($dateOptions);

$docx->replaceVariableByWordFragment(array('SERIE' => $serie,'Y' => $date));
$docx->replaceVariableByText(array('collection' => 'Spring Collection'));

$imgBottomOption = array(
    'width' => 7,
    'height' => 3,
    'target' => 'document',
);

$docx->replacePlaceholderImage('pic1', 'item1.png', $imgBottomOption);
$docx->replacePlaceholderImage('pic2', 'item2.png', $imgBottomOption);

$docx->createDocx('collection1');

$docx1 = new CreateDocxFromTemplate('catalog2Template.docx');
$docx1->setDefaultFont('Century Gothic');

$title = array(
    array(
        'text' => 'Lux ',
        'fontSize' => 20,
    ),
    array(
        'text' => 'sofa series',
        'color' => 'AD8050',
        'fontSize' => 14,
    )
);
$docx1->addText($title, array('bold' => true));

$content = array(
    array(
        'text' => 'Furniture is the mass noun for the movable objects intended to support various human activities such as seating and sleeping. ',
    ),
    array(
        'text' => 'Furniture ',
        'color' => 'AD8050',
    ),
    array(
        'text' => 'is also used to hold objects at a convenient height for work, or to store things.',
    ),
);
$docx1->addText($content, array('fontSize' => 10));

$content2 = array(
    array(
        'text' => 'Furniture can be a product of design and is considered a form of ',
    ),
    array(
        'text' => 'decorative art.',
        'color' => 'AD8050'
    ),
    array(
        'text' => ' In addition to furniture\'s functional role, it can serve a symbolic or religious purpose. It can be made from many materials, including metal, plastic, and wood. ',
    ),
);
$docx1->addText($content2, array('fontSize' => 10));

$content3 = array(
    array(
        'text' => 'Furniture can be made using a variety of ',
    ),
    array(
        'text' => 'woodworking ',
        'color' => 'AD8050'
    ),
    array(
        'text' => 'joints which often reflect the local culture.',
    ),
);
$docx1->addText($content3, array('fontSize' => 10));

$images = array('item1.jpg', 'item2.jpg', 'item3.jpg', 'item4.jpg', 'item5.jpg', 'item6.jpg', 'item7.jpg', 'item8.jpg', 'item9.jpg');

$cellTextWf = new WordFragment($docx1);
$textWf = array(
    array(
        'text' => 'LUX 1 - 890.99',
        'bold' => true,
        'lineBreak' => 'after',
    ),
    array(
        'text' => 'LUX model is a traditionally inspired sofa.',
        'lineBreak' => 'after',
    ),
    array(
        'text' => '1,10 m. – 0,76 m. / 1,00 m. –1,74 m.',
        'bold' => true,
    ),
);
$cellTextWf->addText($textWf, array('fontSize' => 9));
$tableValues = array();
$index = 0;
for ($i = 0; $i < 6 ; $i++) { 
    for ($j = 0; $j < 3; $j++) { 
        $value = $cellTextWf;
        $backgroundColor = 'ffffff';
        if ($i % 2 == 0) {
            $imgWf = new WordFragment($docx1);
            $imgWfOpt = array(
                'src' => $images[$index],
                'width' => 185,
                'height' => 60,
            );
            $imgWf->addImage($imgWfOpt);
            $value = $imgWf;
            $backgroundColor = 'fdf7e7';
            $index++;
        }
        $tableValues[$i][$j] = array(
            'value' => $value,
            'vAlign' => 'center',
            'cellMargin' => 100,
            'backgroundColor' => $backgroundColor,
            'borderColor' => 'fdf7e7',
            'borderWidth' => 40,
        );
    }
}
$tableOptions = array(
    'columnWidths' => array(6000, 6000, 6000),
    'tableAlign' => 'center',
    'border' => 'single'
);


$docx1->addTable($tableValues,$tableOptions);
$docx1->addBreak(array('type' => 'line'));

$docx1->addText('* Consult offer’s condition with our staff or in our website.', array('font' => 'Calibri', 'fontSize' => 11, 'color' => 'AD8050'));

$docx1->createDocx('collection2');

$merge = new MultiMerge();
$merge->mergeDocx('collection1.docx', array('collection2.docx'), 'collection3.docx', array('mergeType' => 0));